using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ChamChat.Models
{
    public enum ClientType
    {
        // TSx
        TSD100,
        TSD100S,
        TSE11A,

        // LHL113
        LHL113,

        // HTS7057
        HTS7057,

        // PLxKPH
        PL2KPH,
        PL3KPH,

        // Despatch
        Despatch_Watlow988U

    }



    public static class ClientTypeExtensions
    {
        public static string ToStr(this ClientType Type)
        {
            switch (Type)
            {
                case ClientType.TSD100:
                    return "TSD100";
                case ClientType.TSD100S:
                    return "TSD100 (300 °C)";
                case ClientType.TSE11A:
                    return "TSE11A";
                case ClientType.LHL113:
                    return "LHL113";
                case ClientType.HTS7057:
                    return "HT/S 7057";
                case ClientType.PL2KPH:
                    return "PL2-KPH";
                case ClientType.PL3KPH:
                    return "PL3-KPH";
                case ClientType.Despatch_Watlow988U:
                    return "Despatch";
                default:
                    return Type.ToString();
            }
        }
    }

}




